%define git_url git://git.fedorahosted.org/chkconfig.git

Summary:	A system tool for maintaining the /etc/rc*.d hierarchy
Name:		chkconfig
Version:	1.10
Release:	%mkrel 1
License:	GPL
Group:		System/Boot and Init
Url:		https://github.com/fedora-sysv/chkconfig
# TODO: fix Source0 url
Source0:	https://github.com/fedora-sysv/chkconfig/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:	chkconfig.po
# (cg) Revert the selinux stuff for now.
Patch0500: 0500-Revert-leveldb-remove-debug-output.patch
Patch0501: 0501-Revert-leveldb-restore-selinux-context-for-xinetd-co.patch
Patch0502: 0502-Revert-Makefile-fix-wrongly-behaving-LDFLAGS.patch

# Downstream patches
Patch0900: 0900-netsysv-Use-Mandriva-colours.patch
Patch0901: 0901-leveldb-Change-runlevels-dir-to-suit-Mandriva.patch
Patch0902: 0902-chkconfig-Delete-a-service-before-adding-it.patch
Patch0903: 0903-chkconfig-Support-adding-deleting-xinetd-services.patch
Patch0904: 0904-chkconfig-Do-not-show-errors-in-service-lists.patch
Patch0905: 0905-chkconfig-Skip-any-init-script-with-a-dot-comma-or-t.patch
Patch0906: 0906-chkconfig-Fix-xinetd-error-message.patch
Patch0907: 0907-chkconfig-Fix-priority-when-adding-a-LSB-service-req.patch

BuildRequires:	gettext
BuildRequires:	newt-devel
BuildRequires:	popt-devel
BuildRequires:	slang
Conflicts:	rpm-helper < 0.6
Conflicts:	systemd-units < 221
Provides:	/sbin/chkconfig
Provides:	/usr/sbin/chkconfig
Provides:	/sbin/update-alternatives
Provides:	/usr/sbin/update-alternatives
Provides:	update-alternatives = 1.18.1-1
Obsoletes:	update-alternatives < 1.9.0-17

%description
Chkconfig is a basic system utility.  It updates and queries runlevel
information for system services.  Chkconfig manipulates the numerous
symbolic links in /etc/rc*.d, to relieve system administrators of some
of the drudgery of manually editing the symbolic links.

%package -n	ntsysv
Summary:	A system tool for maintaining the /etc/rc*.d hierarchy
Group:		System/Boot and Init
Requires:	chkconfig

%description -n	ntsysv
ntsysv updates and queries runlevel information for system services.
ntsysv relieves system administrators of having to directly manipulate
the numerous symbolic links in /etc/rc*.d.

%prep
%setup -q
%autopatch -p1
perl -pi -e 's/\bmv\b/mv -f/' po/Makefile

%build

%ifarch sparc
LIBMHACK=-lm
%endif

%make RPM_OPT_FLAGS="%{optflags}" LIBMHACK=$LIBMHACK LDFLAGS="%{ldflags}"

%install
%makeinstall_std MANDIR=%{_mandir} BINDIR=%{_sbindir}

mkdir -p %{buildroot}%{_sysconfdir}/rc.d/init.d
for n in 0 1 2 3 4 5 6 7; do
    mkdir -p %{buildroot}%{_sysconfdir}/rc.d/rc${n}.d
done

cd %{buildroot}%{_sysconfdir}/
ln -s rc.d/init.d init.d
cd -
ln -s rc7.d %{buildroot}%{_sysconfdir}/rc.d/rcS.d

# corrected indonesian language code (it has changed from 'in' to 'id')
mkdir -p %{buildroot}%{_datadir}/locale/id/LC_MESSAGES
mv %{buildroot}%{_datadir}/locale/{in,in_ID}/LC_MESSAGES/* \
	%{buildroot}%{_datadir}/locale/id/LC_MESSAGES || :
rm -rf %{buildroot}%{_datadir}/locale/{in,in_ID} || :

mkdir -p %{buildroot}%{_datadir}/locale/zh_TW.Big5/LC_MESSAGES
msgfmt %SOURCE1 -o %{buildroot}%{_datadir}/locale/zh_TW.Big5/LC_MESSAGES/chkconfig.mo

# Geoff 20020623 -- zh is incorrect for locale and there's nothing in it anyway
rm -fr %{buildroot}%_datadir/locale/zh

# alternatives were historically stored in /var/lib/rpm/alternatives
mkdir -p %{buildroot}%{_localstatedir}/lib/rpm
mv %{buildroot}%{_localstatedir}/lib/alternatives %{buildroot}%{_localstatedir}/lib/rpm/alternatives
ln -s rpm/alternatives %{buildroot}%{_localstatedir}/lib/alternatives

%find_lang %{name}

%files -f %{name}.lang
%{_sbindir}/chkconfig
%{_prefix}/lib/systemd/systemd-sysv-install
%{_mandir}/man8/chkconfig.8*
%dir %{_sysconfdir}/rc.d
%dir %{_sysconfdir}/rc.d/init.d
%dir %{_sysconfdir}/rc.d/rc*
%{_sysconfdir}/rc.d/rcS.d
%{_sysconfdir}/init.d
%{_sbindir}/alternatives
%attr(0755,root,root) %{_sbindir}/update-alternatives
%{_mandir}/man8/alternatives.8*
%{_mandir}/man8/update-alternatives.8*
%{_localstatedir}/lib/alternatives
%dir %{_localstatedir}/lib/rpm/alternatives
%dir %{_sysconfdir}/alternatives

%files -n ntsysv
%{_sbindir}/ntsysv
%{_mandir}/man8/ntsysv.8*


%changelog
* Sat Apr 29 2017 luigiwalser <luigiwalser> 1.10-1.mga6
+ Revision: 1097991
- 1.10

  + wally <wally>
    - fix URL

* Thu Jul 28 2016 luigiwalser <luigiwalser> 1.8-1.mga6
+ Revision: 1043852
- add some file provides
- 1.8
- rediff patch 0501

* Fri Jan 29 2016 luigiwalser <luigiwalser> 1.7-4.mga6
+ Revision: 928605
- bump release tag and provide update-alternatives version 1.18.1

* Thu Jan 28 2016 luigiwalser <luigiwalser> 1.7-3.mga6
+ Revision: 928295
- provide update-alternatives

* Thu Jan 28 2016 luigiwalser <luigiwalser> 1.7-2.mga6
+ Revision: 928288
- use chkconfig implementation of update-alternatives

* Thu Dec 17 2015 shlomif <shlomif> 1.7-1.mga6
+ Revision: 911295
- New version 1.7

* Thu Oct 08 2015 colin <colin> 1.6-1.mga6
+ Revision: 887370
- New version: 1.6

* Fri Aug 21 2015 tmb <tmb> 1.5-3.mga6
+ Revision: 867415
- rebuild for new gcc

* Thu Jun 25 2015 colin <colin> 1.5-2.mga6
+ Revision: 842886
- Add conflicts with too old systemd-units for smooth upgrades

* Wed Jun 24 2015 colin <colin> 1.5-1.mga6
+ Revision: 842309
- New version: 1.5
- Rediff patches
- Drop runlevel 7 patch (no longer needed)
- Drop --no-reload patch for systemd (newer systemd does not need this)
- Document patches better (some might be droppable/upstreamable)

* Thu Nov 20 2014 luigiwalser <luigiwalser> 1.3.63-1.mga5
+ Revision: 797959
- 1.3.63

* Wed Oct 15 2014 umeabot <umeabot> 1.3.62-3.mga5
+ Revision: 748324
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.62-2.mga5
+ Revision: 678379
- Mageia 5 Mass Rebuild

* Fri Aug 15 2014 luigiwalser <luigiwalser> 1.3.62-1.mga5
+ Revision: 662887
- 1.3.62

* Mon Jan 13 2014 colin <colin> 1.3.61-3.mga4
+ Revision: 566487
- Add a --no-reload option to chkconfig to disable systemd daemon-reload (mga#12278)

* Sat Oct 19 2013 umeabot <umeabot> 1.3.61-2.mga4
+ Revision: 533774
- Mageia 4 Mass Rebuild

* Thu Sep 05 2013 luigiwalser <luigiwalser> 1.3.61-1.mga4
+ Revision: 475269
- 1.3.61

* Sat Mar 16 2013 luigiwalser <luigiwalser> 1.3.60-1.mga3
+ Revision: 403502
- chkconfig should own /etc/rc.d (rhbz#894328)
- 1.3.60
- rediff patch 5
- remove upstreamed ldflags patch

* Wed Jan 23 2013 fwang <fwang> 1.3.59-5.mga3
+ Revision: 391233
- add virtual provides

* Wed Jan 23 2013 fwang <fwang> 1.3.59-4.mga3
+ Revision: 391170
- update rpm group
- update rpm group

* Fri Jan 11 2013 umeabot <umeabot> 1.3.59-3.mga3
+ Revision: 347677
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 29 2012 luigiwalser <luigiwalser> 1.3.59-2.mga3
+ Revision: 275715
- add upstream patch to use correct ldflags

* Sun Jul 29 2012 luigiwalser <luigiwalser> 1.3.59-1.mga3
+ Revision: 275714
- 1.3.59
- rediff patches 6, 13, and 15

* Thu Sep 08 2011 tv <tv> 1.3.51-1.mga2
+ Revision: 141499
- new release, more systemd friendly
- sync with mdv:
- drop P11, 12, 14 - upstream (some with different implementation)
- rediff P1, 5, 6, 7, 8, 13, 15

  + kharec <kharec>
    - imported package chkconfig

  + tmb <tmb>
    - imported package chkconfig
    - imported package chkconfig
    - imported package chkconfig

